%define major		1
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	A flexible API to implement spell checking in a GTK+ application
Name:		gspell
Version:	1.4.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Development/Other
Url:		https://wiki.gnome.org/Projects/gspell
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires:	pkgconfig(gthread-2.0)

BuildRequires:	pkgconfig(glib-2.0) >= 2.44
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.16
BuildRequires:	pkgconfig(enchant) >= 1.6.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(vapigen)

BuildRequires:	readline-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	gettext-devel

%description
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package i18n
Summary:	A flexible API to implement spell checking in a GTK+ application
Requires:	%libname = %version-%release

%description i18n
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %libname
Group:		System/Libraries
Summary:	A flexible API to implement spell checking in a GTK+ application
Requires:	%{name}-i18n

%description -n %libname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package -n %develname
Summary:	A flexible API to implement spell checking in a GTK+ application
Group:		Development/C
Requires:	%libname = %version-%release
Requires:	%girname = %version-%release
Provides:	%name-devel = %version-%release
Provides:	lib%name-devel = %version-%release

%description -n %develname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%prep
%autosetup

%build
%configure2_5x --enable-gtk-doc --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-%{api}

%files i18n -f %{name}-%{api}.lang
%doc README AUTHORS

%files -n %libname
%{_libdir}/libgspell-%{api}.so.%{major}{,.*}

%files -n %develname
%doc ChangeLog
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/gtk-doc/html/%{name}-1.0
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/%{name}-%{api}.vapi
%{_datadir}/gir-1.0/Gspell-%{api}.gir

%files -n %girname
%{_libdir}/girepository-1.0/Gspell-%{api}.typelib


%changelog
* Sun Apr 09 2017 ovitters <ovitters> 1.4.1-1.mga6
+ Revision: 1096176
- new version 1.4.1

* Tue Mar 21 2017 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 1094065
- new version 1.4.0

* Fri Feb 24 2017 ovitters <ovitters> 1.2.3-1.mga6
+ Revision: 1087611
- new version 1.2.3

* Fri Dec 16 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1075705
- new version 1.2.2

* Sun Nov 06 2016 ovitters <ovitters> 1.2.1-1.mga6
+ Revision: 1065522
- new version 1.2.1

* Mon Sep 26 2016 tv <tv> 1.2.0-2.mga6
+ Revision: 1056885
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 18 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1053772
- new version 1.2.0

* Sun Jun 12 2016 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1021273
- new version 1.0.2

* Sun Apr 10 2016 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 1000082
- new version 1.0.1

* Sun Mar 20 2016 wally <wally> 1.0.0-1.mga6
+ Revision: 993151
- fix lib pkg name
- new libmajor 1
- require gir typelib pkg in devel pkg

  + ovitters <ovitters>
    - new version 1.0.0

* Sun Mar 13 2016 ovitters <ovitters> 0.2.6-1.mga6
+ Revision: 990280
- new version 0.2.6

* Sun Mar 13 2016 ovitters <ovitters> 0.2.5-1.mga6
+ Revision: 990219
- new version 0.2.5

* Mon Feb 15 2016 ovitters <ovitters> 0.2.4-1.mga6
+ Revision: 960981
- new version 0.2.4

* Sun Jan 17 2016 ovitters <ovitters> 0.2.3-1.mga6
+ Revision: 925118
- new version 0.2.3

* Sun Dec 13 2015 ovitters <ovitters> 0.2.2-1.mga6
+ Revision: 910258
- new version 0.2.2

* Mon Nov 23 2015 ovitters <ovitters> 0.2.1-1.mga6
+ Revision: 905117
- new version 0.2.1
- new version 0.1.2

* Sun Nov 08 2015 ovitters <ovitters> 0.1.1-1.mga6
+ Revision: 898718
- new version 0.1.1

* Wed Oct 14 2015 ovitters <ovitters> 0.1.0-1.mga6
+ Revision: 891635
- imported package gspell

